<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_565d7be9" . "9acb0b762" . "7e48da068" . "eebbd6" => base64_decode("cmVxdWl" . "yZWQ="), "_5a318eaa74da0c" . "c2a06bdb95289fe" . "81b" => base64_decode("Q2hvb3NlIHRoZSB" . "zb3VyY2UgcHJvam" . "VjdA=="), "proj" . "ect_" . "id" => base64_decode("cHJvamVjdF9" . "pZA=="), "_ec438e08973b3716" . "c60e393f66ef5e7b" => base64_decode("Q2hvb3NlIHRoZSBz" . "b3VyY2UgSUMgcHJv" . "amVjdA=="));





class HDReportWizardProject extends ReportWizardPage
{
    var $projects;
    
    
    
    
    
    function buildForm()
    {
        $values = array();
        $_4cfe17fc2516abcf039dd2848579d320 = new HDProjectsList();
        $_4cfe17fc2516abcf039dd2848579d320->setPermsChecking(HD_PERM_REPORTS);
        $_68680c984182bf7876b2bb0ab77ebe01 = $_4cfe17fc2516abcf039dd2848579d320->getList();
        foreach ($_68680c984182bf7876b2bb0ab77ebe01 as $project) {
            $values[$project->GetId()] = $project->GetName();
        }
        $this->projects = $values;
        $this->addElement(PAGE_ELEMENT_SELECT, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["proje" . "ct_id"], $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_5a318eaa74da0cc2a06bdb952" . "89fe81b"], $values);
        $this->addRule($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["project_i" . "d"], $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_ec438e08973b3716c6" . "0e393f66ef5e7b"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_565d7be99a" . "cb0b7627e48" . "da068eebbd6"]);
        $this->_formBuilt = true;
    }
}